Get the project's published block types
GET/projects/{projectSlug}/block-typesRequires an active preview session — either the cairn_preview cookie set by createPreviewHandler, or a preview session token sent as Authorization: Bearer <token>.
Path parameters
projectSlug* | string | The project's slug |
Responses
| 200 | This project's block type palette (see @cairn-cms/schema's BlockType) |
| 401 | Authentication required |
| 403 | Origin not allowed, or not a member of this project |
| 404 | Unknown project |
Request
curl "https://api.cairn.press/projects/my-project/block-types" \
-H "Authorization: Bearer $CAIRN_PREVIEW_TOKEN"Response · 200
[
{}
]